Package org.optaplanner.core.impl.score.director.drools.testgen

## Class TestGenKieSessionJournal

- java.lang.Object
- - org.optaplanner.core.impl.score.director.drools.testgen.TestGenKieSessionJournal

-     public class TestGenKieSessionJournal
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `TestGenKieSessionJournal()` |
    `TestGenKieSessionJournal​(List<TestGenFact> facts, List<TestGenKieSessionInsert> initialInsertJournal, List<TestGenKieSessionOperation> updateJournal)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `addFacts​(Collection<Object> workingFacts)` |
    `void` | `addListener​(TestGenKieSessionListener listener)` |
    `void` | `delete​(Object fact)` |
    `void` | `dispose()` |
    `void` | `fireAllRules()` |
    `List<TestGenFact>` | `getFacts()` |
    `List<TestGenKieSessionInsert>` | `getInitialInserts()` |
    `List<TestGenKieSessionOperation>` | `getMoveOperations()` |
    `void` | `insert​(Object fact)` |
    `void` | `insertInitial​(Object fact)` |
    `void` | `removeListener​(TestGenKieSessionListener listener)` |
    `void` | `replay​(org.kie.api.runtime.KieSession replayKieSession)` |
    `void` | `update​(Object entity, VariableDescriptor<?> variableDescriptor)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TestGenKieSessionJournal

          public TestGenKieSessionJournal()

    - #### TestGenKieSessionJournal

          public TestGenKieSessionJournal​(List<TestGenFact> facts,
                                          List<TestGenKieSessionInsert> initialInsertJournal,
                                          List<TestGenKieSessionOperation> updateJournal)

  - ### Method Detail

    - #### replay

          public void replay​(org.kie.api.runtime.KieSession replayKieSession)

    - #### addFacts

          public void addFacts​(Collection<Object> workingFacts)

    - #### insertInitial

          public void insertInitial​(Object fact)

    - #### insert

          public void insert​(Object fact)

    - #### update

          public void update​(Object entity,
                             VariableDescriptor<?> variableDescriptor)

    - #### delete

          public void delete​(Object fact)

    - #### fireAllRules

          public void fireAllRules()

    - #### dispose

          public void dispose()

    - #### addListener

          public void addListener​(TestGenKieSessionListener listener)

    - #### removeListener

          public void removeListener​(TestGenKieSessionListener listener)

    - #### getFacts

          public List<TestGenFact> getFacts()

    - #### getInitialInserts

          public List<TestGenKieSessionInsert> getInitialInserts()

    - #### getMoveOperations

          public List<TestGenKieSessionOperation> getMoveOperations()